/* Margins and Paddings */

.mt-50pt {
  margin-top: 50pt;
}

.mt-10px {
  margin-top: 10px;
}

.m-width-25 {
  min-width: 25%;
}

.pad-10px {
  padding: 10px !important;
}

/* Images */

.profile-pic-bg {
  background-image:url(../images/profile_pic_blue.jpg);
}

.thesis-bg {
  background-image: url(../images/backgrounds/thesis.png);
}

.ci-cd-bg {
  background-image: url(../images/backgrounds/ci_cd.png);
}

.terraform-bg {
  background-image: url(../images/backgrounds/terraform.png);
}

.code-bg {
  background-image: url(../images/backgrounds/blurred_code_1.jpg);
}

/* Colors */

.white {
  color: white;
}

.override-blue {
  color: #007bff !important;
}

/* User Interaction */

.no-pointer-events {
  pointer-events:none;
}

/* Text Manipulation */

.no-text-transform {
  text-transform: none !important;
}

.align-center {
  text-align: center;
}

/* Special Classes */

.terraform-progress {
  width:85%;
}

.scala-progress {
  width:60%;
}

.travis-progress {
  width:95%;
}

.bash-progress {
  width:90%;
}

.k8s-progress {
  width:70%;
}

.cloud-progress {
  width:75%;
}

/* Adapting for Mobile */

@media (max-width: 900px) {
  .hide-mobile {
    display: none;
  }
}
